###################################################
### chunk number 1: 
###################################################
library(LMGene)
library(Biobase)
library(tools)


###################################################
### chunk number 2: 
###################################################
data(sample.eS)


###################################################
### chunk number 3: 
###################################################
slotNames(sample.eS)
dim(exprs(sample.eS))
exprs(sample.eS)[1:3,]
phenoData(sample.eS)
slotNames(phenoData(sample.eS))


###################################################
### chunk number 4: 
###################################################
data(sample.mat)
dim(sample.mat)
data(vlist)  
vlist


###################################################
### chunk number 5: 
###################################################
test.eS<-neweS(sample.mat, vlist)
class(test.eS)
identical(sample.eS, test.eS)


###################################################
### chunk number 6: 
###################################################
tranpar <- tranest(sample.eS)
tranpar


###################################################
### chunk number 7: 
###################################################
tranpar <- tranest(sample.eS, 100)
tranpar


###################################################
### chunk number 8: 
###################################################

trsample.eS <- transeS(sample.eS, tranpar$lambda, tranpar$alpha)
exprs(sample.eS)[1:3,1:8]
exprs(trsample.eS)[1:3,1:8]


###################################################
### chunk number 9: 
###################################################
tranparmult <- tranest(sample.eS, mult=TRUE) 
tranparmult


###################################################
### chunk number 10: 
###################################################
trsample.eS <- transeS (sample.eS, tranparmult$lambda, tranparmult$alpha)
exprs(trsample.eS)[1:3,1:8]


###################################################
### chunk number 11: 
###################################################
tranparmult <- tranest(sample.eS, ngenes=100, mult=TRUE, lowessnorm=TRUE) 
tranparmult


###################################################
### chunk number 12: 
###################################################
tranpar <- tranest(sample.eS, model='patient + dose + patient:dose')
tranpar


###################################################
### chunk number 13: 
###################################################
trsample.eS <- transeS (sample.eS, tranparmult$lambda, tranparmult$alpha)
ntrsample.eS <- lnormeS (trsample.eS) 


###################################################
### chunk number 14: 
###################################################
sigprobes <- LMGene(ntrsample.eS)


###################################################
### chunk number 15: 
###################################################
sigprobes <- LMGene(ntrsample.eS,level=.01)


###################################################
### chunk number 16: 
###################################################
sigprobes <- LMGene(ntrsample.eS, model='patient+dose+patient:dose')
sigprobes


